.table-wrapper {
  border: 1px solid var(--base-70);
  border-radius: 16px;
  overflow: hidden;
  box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.11);

  ::ng-deep {
    .mat-mdc-header-row {
      background-color: var(--base-95);
      border-color: var(--base-70);
    }
  }

  .engine-dropdown {
    min-width: 300px;
    width: auto;
  }

  .language-row {
    &:has(.warning) {
      background-color: var(--warning-light);
    }
  }

  .mat-mdc-table .mdc-data-table__row {
    height: 41px;
  }

  .mat-column-language,
  .mat-column-engine {
    color: var(--base-30);
  }
}

:host ::ng-deep {
  .mat-mdc-select-panel-above .mdc-menu-surface.mat-mdc-select-panel {
    max-height: 305px;
  }

  .mat-mdc-header-row {
    background-color: var(--base-95);
    border-color: var(--base-70);
  }

  mat-select:focus-visible {
    outline: -webkit-focus-ring-color auto 1px;
  }
}
